Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Partially update a Template Catalog

Prev Next
Patch
/templates/{id}/

Operation is used to partially update an existing Template Catalog. Only the fields included in the request body will be updated.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of Template Catalog to update

Body parameters

Fields to update

Expand All
object

Template Catalog

contentType
integer Required

Reference to content type

isActive
boolean

Whether the template catalog is active

Defaulttrue
isClassic
boolean

Whether this template belongs to the classic KeyAqua catalog.

Defaulttrue
isDefault
boolean

Whether this is the default template catalog for the content type.

Defaultfalse
name
string Required

Catalog name

template
object Required

Template data stored as JSON

templateJsonLabel
object Required

Template JSON labels

Responses
200

Updated Template Catalog

Expand All
object

Template Catalog

contentType
integer

Reference to content type

createdBy
string

User who created the template catalog

createdTs
string (date-time)

Created date and time

id
integer

Unique id of template catalog

isActive
boolean

Whether the template catalog is active

Defaulttrue
isClassic
boolean

Whether this template belongs to the classic KeyAqua catalog.

Defaulttrue
isDefault
boolean

Whether this is the default template catalog for the content type.

Defaultfalse
listUrl
string

URL to the template catalog list

name
string

Catalog name

template
object

Template data stored as JSON

templateJsonLabel
object

Template JSON labels

updatedBy
string

User who updated the template catalog

updatedTs
string (date-time)

Last updated date and time

400

There was an error in request. Usually field validation failed.

object
property*
Array of string additionalProperties
string
401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error